package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.entity.WarehousingContent;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class WarehousingContentVO extends WarehousingContent {

    @ApiModelProperty(value = "(试剂耗材名称)")
    private String reagentConsumableName;

    @ApiModelProperty(value = "(入库批次明细数组)")
    List<WarehousingBatchListVO> warehousingBatchListVOList;

    @ApiModelProperty(value = "(制定人名称)")
    private String applicantName;

    @ApiModelProperty(value = "(供应商名称)")
    private String supplierName;

    @ApiModelProperty(value = "(品牌)")
    private String brand;

    @ApiModelProperty(value = "(类别)")
    private String category;

    @ApiModelProperty(value = "(规格型号)")
    private String specificationAndModel;

    private ReagentConsumables reagentConsumables;
}
